apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: test-nginx-setup
  namespace: argocd
spec:
  project: default
  source:
    repoURL: https://gitlab.com/paul.oluwaseun/test-cluster-setup.git
    targetRevision: HEAD
    path: test-deploy
  destination:
    server:
      name: platform-services-dev-eks
    namespace: guestbook